using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EExpiredStatus
{
    /// <summary>
    /// 正常状态（未超期）
    /// </summary>
    [Description("正常")]
    Normal = 0,

    /// <summary>
    /// 即将超期
    /// </summary>
    [Description("剩余时间小于20%")]
    GoingToExpired = 1,

    /// <summary>
    /// 已超期
    /// </summary>
    [Description("已超期")]
    Expired = 2,

    /// <summary>
    /// 即将超期
    /// </summary>
    [Description("剩余时间小于50%")]
    GoingToExpiredOne = 3,
}

public enum EExpiredStatusEx
{
    /// <summary>
    /// 正常状态（未超期）
    /// </summary>
    [Description("正常")]
    Normal = 0,

    /// <summary>
    /// 即将超期
    /// </summary>
    [Description("即将超期")]
    GoingToExpired = 1,

    /// <summary>
    /// 已超期
    /// </summary>
    [Description("已超期")]
    Expired = 2,
}